<?php
session_start();
require_once('../../conexion.php');
require_once('../../include/sesiones.php');
// Declaramos la librería
require  ('vendor/autoload.php');

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

$spread = new Spreadsheet();

$sheet = $spread->getActiveSheet();
$sheet->getStyle('A:Z')->getAlignment()->setHorizontal('center');/* centar contenido de celdas */
$sheet->mergeCells('A1:F1')->mergeCells('A2:F2');/*combinas celdas*/

function cellColor($cells,$color)/* FUNSION PARA COLORES DE CELDA*/
{
    global $sheet;

    $sheet->getStyle($cells)->getFill()
    ->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)
    ->getStartColor()
    ->setARGB($color);
}

cellColor('A2:Q2', 'BDBDBD'); 
cellColor('A1:Q1', 'BDBDBD'); 
cellColor('A3:Q3', 'FF4D00'); 


$sheet->setCellValue('A1', 'REPORTE VALOR INVENTARIO')
            ->setCellValue('A2', '')
            ->setCellValue('A3', 'ID')
            ->setCellValue('B3', 'CODIGO')
            ->setCellValue('C3', 'NOMBRE')
            ->setCellValue('D3', 'ID CAT')
            ->setCellValue('E3', 'CATEGORIA')
            ->setCellValue('F3', 'ID PRO')
            ->setCellValue('G3', 'PROVEEDOR')
            ->setCellValue('H3', 'IVA')
            ->setCellValue('I3', 'CANTIDAD')
            ->setCellValue('J3', 'COSTO U')
            ->setCellValue('K3', 'ID GEN')
            ->setCellValue('L3', 'GENERAL')
            ->setCellValue('M3', 'ID MIN')
            ->setCellValue('N3', 'MINIMO')
            ->setCellValue('O3', 'ID MAYO')
            ->setCellValue('P3', 'MAYORISTA')
            ->setCellValue('Q3', 'GARANTIA');


            //Ancho de las columnas
$sheet->getColumnDimension('A')->setWidth(15);   
$sheet->getColumnDimension('B')->setWidth(20);  
$sheet->getColumnDimension('C')->setWidth(20); 
$sheet->getColumnDimension('D')->setWidth(20); 
$sheet->getColumnDimension('E')->setWidth(20); 
$sheet->getColumnDimension('F')->setWidth(20); 
$sheet->getColumnDimension('G')->setWidth(20); 
$sheet->getColumnDimension('H')->setWidth(20); 
$sheet->getColumnDimension('I')->setWidth(20); 
$sheet->getColumnDimension('J')->setWidth(20);
$sheet->getColumnDimension('K')->setWidth(20);
$sheet->getColumnDimension('L')->setWidth(20);
$sheet->getColumnDimension('M')->setWidth(20); 
$sheet->getColumnDimension('N')->setWidth(20);
$sheet->getColumnDimension('O')->setWidth(20);
$sheet->getColumnDimension('P')->setWidth(20);
$sheet->getColumnDimension('Q')->setWidth(20);

$cel=4;//Numero de fila donde empezara a crear  el reporte


$sumador_total_costo=0; 
$sumador_total_venta=0; 
$query=mysqli_query($con, "SELECT * from articulos a, articulos_has_bodegas ab where a.art_id=ab.articulos_art_id and ab.bodegas='$bod_id' AND ab.sucursal='$sucursal' and a.empresa='$empresa' and a.art_tipo='articulo' group by a.art_id order by a.art_referencia asc ");

while ($row=mysqli_fetch_array($query))    
{
    $art_id=$row['art_id'];
    $art_referencia=$row['art_referencia'];
    $art_nombre=$row['art_nombre'];
    $art_precio_costo=$row['art_precio_costo'];
    $art_garantia=$row['art_garantia'];
    $art_iva=$row['art_iva'];
    $art_pvp=$row['art_pvp'];

    $art_cantidad=$row['art_cantidad'];
    if($art_cantidad<0)
    {
        $art_cantidad1=0;
    }
    else
    {
         $art_cantidad1=$art_cantidad;
    }

    $proveedor_pro_id=$row['proveedor_pro_id'];
    $sql2=mysqli_query($con, "SELECT * from proveedor where pro_id='$proveedor_pro_id'");
   if($c=mysqli_fetch_array($sql2)){
    $pro_nombre=$c['pro_nombre'];}

    $familias_fam_id=$row['familias_fam_id'];
    $sql2f=mysqli_query($con, "SELECT * from familias where fam_id='$familias_fam_id'");
    $cf=mysqli_fetch_array($sql2f);
    $fam_nombre=$cf['fam_nombre'];


    $sqlGEN=mysqli_query($con, "SELECT * from tarifas where tar_nombre='GENERAL'");
    $ge=mysqli_fetch_array($sqlGEN);
    $tar_id_gen=$ge['tar_id'];

    $tar_id_min = '';
    $pre_precio_min = '';
    
    $sqlMIN=mysqli_query($con, "SELECT * from tarifas where tar_nombre='MINIMO'");
   if( $mi=mysqli_fetch_array($sqlMIN)) {
    $tar_id_min=$mi['tar_id'];
    $sqlpremin=mysqli_query($con, "SELECT * from precio where tarifas_tar_id='$tar_id_min' AND articulos_art_id='$art_id' ");
    if($prmin=mysqli_fetch_array($sqlpremin)){
    $pre_precio_min=$prmin['pre_precio'];
        }
    }

    $tar_id_mayo = '';
    $pre_precio_mayo = '';

    $sqlMAY = mysqli_query($con, "SELECT * FROM tarifas WHERE tar_nombre='MAYORISTA'");
    if ($my = mysqli_fetch_assoc($sqlMAY)) {
        $tar_id_mayo = $my['tar_id'];

    $sqlpremy = mysqli_query($con,"SELECT * FROM precio WHERE tarifas_tar_id='$tar_id_mayo' AND articulos_art_id='$art_id'");
    if ($prmy = mysqli_fetch_assoc($sqlpremy)) {
            $pre_precio_mayo = $prmy['pre_precio'];
        }
    }


    
  

    
        $a="A".$cel;
        $b="B".$cel;
        $c="C".$cel;
        $d="D".$cel;
        $e="E".$cel;
        $f="F".$cel;
        $g="G".$cel;
        $h="H".$cel;
        $i="I".$cel;
        $j="J".$cel;
        $k="K".$cel;
        $l="L".$cel;
        $m="M".$cel;
        $n="N".$cel;
        $o="O".$cel;
        $p="P".$cel;
        $q="Q".$cel;
           
        // Agregar datos
        $sheet
        ->setCellValue($a, $art_id)
        ->setCellValue($b, $art_referencia)
        ->setCellValue($c, $art_nombre)
        ->setCellValue($d, $familias_fam_id)
        ->setCellValue($e, $fam_nombre)
        ->setCellValue($f, $proveedor_pro_id)
        ->setCellValue($g, $pro_nombre)
        ->setCellValue($h, $art_iva)
        ->setCellValue($i, $art_cantidad1)
        ->setCellValue($j, $art_precio_costo)
        ->setCellValue($k, $tar_id_gen)
        ->setCellValue($l, $art_pvp)
        ->setCellValue($m, $tar_id_min)
        ->setCellValue($n, $pre_precio_min)
        ->setCellValue($o, $tar_id_mayo)
        ->setCellValue($p, $pre_precio_mayo)
        ->setCellValue($q, $art_garantia);
       

        
        $cel+=1;

      
}
   


// Redirigir la salida al navegador web de un cliente ( Excel5 )
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="REPORTE VALOR INVENTARIO.xlsx"');
header('Cache-Control: max-age=0');
// Si usted está sirviendo a IE 9 , a continuación, puede ser necesaria la siguiente
header('Cache-Control: max-age=1');

$writer = new Xlsx($spread);
$writer->save('php://output');
exit;
/*
$fileName="Descarga_excel.xlsx";
# Crear un "escritor"
$writer = new Xlsx($spread);
# Le pasamos la ruta de guardado

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment; filename="'. urlencode($fileName).'"');
$writer->save('php://output');
?>*/
?>